典名词元典名词元首页
API 文档三方工具教程
AI 模型接口视频Vidu

单图/首尾帧生视频VQ2PF

POST/api/v1/video/generation

Header Parameters

Authorization*string

格式: Authorization: Bearer sk-xxxxxx

Request Body

application/json

_action*string

固定值i2v

model*string

模型名称, 支持:

viduq2-pro-fast

resolution?string

分辨率,支持:

720p

1080p

seed?integer

随机种子

bgm?boolean

是否开启背景音乐,默认 false

image*object

图片信息(仅单图生视频模式支持)

imageUrl*string

图片链接

prompt*string

生成的提示文本

duration?integer

视频时长,单位 s,支持:

(单图生视频模式)[1,10]

(首尾帧生视频模式)[1,8]

audio?boolean

是否开启声音,默认 false(仅单图生视频模式支持)

voiceId?string

音色id(仅单图生视频模式支持)

headtailImages*object

首尾帧图片信息(仅首尾帧生视频模式支持)

headImage?object

首帧图片信息

imageUrl?string

图片链接

tailImage?object

尾帧图片信息

imageUrl?string

图片链接

Response Body

application/json

curl -X POST "https://api.aa.com.cn/api/v1/video/generation" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "_action": "string",    "model": "string",    "resolution": "string",    "seed": 0,    "bgm": true,    "image": {      "imageUrl": "string"    },    "prompt": "string",    "duration": 0,    "audio": true,    "voiceId": "string",    "headtailImages": {      "headImage": {        "imageUrl": "string"      },      "tailImage": {        "imageUrl": "string"      }    }  }'
{
  "code": 0,
  "data": {
    "urls": [
      "string"
    ],
    "usage": {
      "images": 0,
      "seconds": 0,
      "input_tokens": 0,
      "total_tokens": 0,
      "output_tokens": 0
    },
    "expired": "string",
    "task_id": "string",
    "task_status": "string"
  },
  "message": "string",
  "request_id": "string"
}